<html>
<head>
<title>OGRE: Ogre::VertexCacheProfiler Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1VertexCacheProfiler.html">VertexCacheProfiler</a></div>
<h1>Ogre::VertexCacheProfiler Class Reference</h1><!-- doxytag: class="Ogre::VertexCacheProfiler" -->Vertex cache profiler.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1VertexCacheProfiler-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#4b9f6e1bc8dd4f2030f5a11c6e3dfbb9">CacheType</a> { <a class="el" href="classOgre_1_1VertexCacheProfiler.html#4b9f6e1bc8dd4f2030f5a11c6e3dfbb9e3ecb5ccdf6f4c4c6f156a77e9833fe7">FIFO</a>, 
<a class="el" href="classOgre_1_1VertexCacheProfiler.html#4b9f6e1bc8dd4f2030f5a11c6e3dfbb9d0fb7b7d84385dee76ad77538bb50acc">LRU</a>
 }</td></tr>

<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#967ec965713da4ce36c461e847f964f9">VertexCacheProfiler</a> (unsigned int cachesize=16, <a class="el" href="classOgre_1_1VertexCacheProfiler.html#4b9f6e1bc8dd4f2030f5a11c6e3dfbb9">CacheType</a> cachetype=FIFO)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#6ab7499e2083ad5f35f34a816806cef8">~VertexCacheProfiler</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#7f82fe442519758e19ff36f211757a72">profile</a> (const <a class="el" href="classOgre_1_1HardwareIndexBufferSharedPtr.html">HardwareIndexBufferSharedPtr</a> &amp;indexBuffer)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#73303582f428106fc0b3177d11984228">reset</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#a8578416f0d313a75d39a30c5d47123a">flush</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#9f0a043c69c3b8f472cdff618bccc624">getHits</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#4b6ea00ce8ef7a1d1d8676b98cd2c128">getMisses</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#b89c85abff1af843322f4210afd25a16">getSize</a> ()</td></tr>

<tr><td colspan="2"><br><h2>Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#4b855ce6273c82f3790bdcda2ac9ea4f">inCache</a> (unsigned int index)</td></tr>

<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#dc56faf57c63b1d1df6bb2f09892b3b5">size</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#d72231fffc5f97675058ebe22bdbba27">cache</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#4b9f6e1bc8dd4f2030f5a11c6e3dfbb9">CacheType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#fb8e69a97d30c33f8ba37abe54522110">type</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#35553327f48981689555cc00eb97d339">tail</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#7c5a21c77c8c968f263900909417ea28">buffersize</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#eeb3c8f51e564ad830af050cfe754213">hit</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#409b41e6232966ea68bdf0c7273eefb0">miss</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Vertex cache profiler. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Utility class for evaluating the effectiveness of the use of the vertex cache by a given index buffer. </dd></dl>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00249">249</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>
<hr><h2>Member Enumeration Documentation</h2>
<a class="anchor" name="4b9f6e1bc8dd4f2030f5a11c6e3dfbb9"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::CacheType" ref="4b9f6e1bc8dd4f2030f5a11c6e3dfbb9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1VertexCacheProfiler.html#4b9f6e1bc8dd4f2030f5a11c6e3dfbb9">Ogre::VertexCacheProfiler::CacheType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="4b9f6e1bc8dd4f2030f5a11c6e3dfbb9e3ecb5ccdf6f4c4c6f156a77e9833fe7"></a><!-- doxytag: member="FIFO" ref="4b9f6e1bc8dd4f2030f5a11c6e3dfbb9e3ecb5ccdf6f4c4c6f156a77e9833fe7" args="" -->FIFO</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="4b9f6e1bc8dd4f2030f5a11c6e3dfbb9d0fb7b7d84385dee76ad77538bb50acc"></a><!-- doxytag: member="LRU" ref="4b9f6e1bc8dd4f2030f5a11c6e3dfbb9d0fb7b7d84385dee76ad77538bb50acc" args="" -->LRU</em>&nbsp;</td><td>
</td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00252">252</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="967ec965713da4ce36c461e847f964f9"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::VertexCacheProfiler" ref="967ec965713da4ce36c461e847f964f9" args="(unsigned int cachesize=16, CacheType cachetype=FIFO)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::VertexCacheProfiler::VertexCacheProfiler           </td>
          <td>(</td>
          <td class="paramtype">unsigned int&nbsp;</td>
          <td class="paramname"> <em>cachesize</em> = <code>16</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#4b9f6e1bc8dd4f2030f5a11c6e3dfbb9">CacheType</a>&nbsp;</td>
          <td class="paramname"> <em>cachetype</em> = <code>FIFO</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00256">256</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6ab7499e2083ad5f35f34a816806cef8"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::~VertexCacheProfiler" ref="6ab7499e2083ad5f35f34a816806cef8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::VertexCacheProfiler::~VertexCacheProfiler           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00262">262</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="7f82fe442519758e19ff36f211757a72"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::profile" ref="7f82fe442519758e19ff36f211757a72" args="(const HardwareIndexBufferSharedPtr &amp;indexBuffer)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::VertexCacheProfiler::profile           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1HardwareIndexBufferSharedPtr.html">HardwareIndexBufferSharedPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>indexBuffer</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="73303582f428106fc0b3177d11984228"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::reset" ref="73303582f428106fc0b3177d11984228" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::VertexCacheProfiler::reset           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00268">268</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a8578416f0d313a75d39a30c5d47123a"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::flush" ref="a8578416f0d313a75d39a30c5d47123a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::VertexCacheProfiler::flush           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00269">269</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9f0a043c69c3b8f472cdff618bccc624"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::getHits" ref="9f0a043c69c3b8f472cdff618bccc624" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int Ogre::VertexCacheProfiler::getHits           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00271">271</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4b6ea00ce8ef7a1d1d8676b98cd2c128"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::getMisses" ref="4b6ea00ce8ef7a1d1d8676b98cd2c128" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int Ogre::VertexCacheProfiler::getMisses           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00272">272</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b89c85abff1af843322f4210afd25a16"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::getSize" ref="b89c85abff1af843322f4210afd25a16" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int Ogre::VertexCacheProfiler::getSize           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00273">273</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4b855ce6273c82f3790bdcda2ac9ea4f"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::inCache" ref="4b855ce6273c82f3790bdcda2ac9ea4f" args="(unsigned int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::VertexCacheProfiler::inCache           </td>
          <td>(</td>
          <td class="paramtype">unsigned int&nbsp;</td>
          <td class="paramname"> <em>index</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="dc56faf57c63b1d1df6bb2f09892b3b5"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::size" ref="dc56faf57c63b1d1df6bb2f09892b3b5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1VertexCacheProfiler.html#dc56faf57c63b1d1df6bb2f09892b3b5">Ogre::VertexCacheProfiler::size</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00273">273</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d72231fffc5f97675058ebe22bdbba27"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::cache" ref="d72231fffc5f97675058ebe22bdbba27" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>* <a class="el" href="classOgre_1_1VertexCacheProfiler.html#d72231fffc5f97675058ebe22bdbba27">Ogre::VertexCacheProfiler::cache</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00276">276</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="fb8e69a97d30c33f8ba37abe54522110"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::type" ref="fb8e69a97d30c33f8ba37abe54522110" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VertexCacheProfiler.html#4b9f6e1bc8dd4f2030f5a11c6e3dfbb9">CacheType</a> <a class="el" href="classOgre_1_1VertexCacheProfiler.html#fb8e69a97d30c33f8ba37abe54522110">Ogre::VertexCacheProfiler::type</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00277">277</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="35553327f48981689555cc00eb97d339"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::tail" ref="35553327f48981689555cc00eb97d339" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1VertexCacheProfiler.html#35553327f48981689555cc00eb97d339">Ogre::VertexCacheProfiler::tail</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00279">279</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7c5a21c77c8c968f263900909417ea28"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::buffersize" ref="7c5a21c77c8c968f263900909417ea28" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1VertexCacheProfiler.html#7c5a21c77c8c968f263900909417ea28">Ogre::VertexCacheProfiler::buffersize</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00279">279</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="eeb3c8f51e564ad830af050cfe754213"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::hit" ref="eeb3c8f51e564ad830af050cfe754213" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1VertexCacheProfiler.html#eeb3c8f51e564ad830af050cfe754213">Ogre::VertexCacheProfiler::hit</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00280">280</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="409b41e6232966ea68bdf0c7273eefb0"></a><!-- doxytag: member="Ogre::VertexCacheProfiler::miss" ref="409b41e6232966ea68bdf0c7273eefb0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1VertexCacheProfiler.html#409b41e6232966ea68bdf0c7273eefb0">Ogre::VertexCacheProfiler::miss</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00280">280</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:10 2008
</p>
</body>
</html>
